> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sturdytechnologies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Paypal Payout Status

> Get the final status of a Paypal Payout by ID



## OpenAPI

````yaml GET /payments/paypal/{transaction_id}
openapi: 3.1.0
info:
  title: Sturdy Technologies API
  description: API documentation for Sturdy Technologies Service
  contact: {}
  version: '1.0'
servers:
  - url: https://sandbox.sturdytechnologies.com/v3
    description: Sandbox server
security: []
paths:
  /payments/paypal/{transaction_id}:
    get:
      tags:
        - Payments
      summary: GET Paypal Payout Status
      description: Get the final status of a Paypal Payout by ID
      operationId: getPaypalPayoutStatus
      parameters:
        - name: transaction_id
          in: path
          description: Transaction Identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Send2PayPalResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResp'
      security:
        - BearerAuth: []
components:
  schemas:
    Send2PayPalResp:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Send2PayPalData'
        message:
          type: string
        success:
          type: boolean
    ErrorResp:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        success:
          type: boolean
          example: false
    Send2PayPalData:
      type: object
      properties:
        amount:
          type: number
        description:
          type: string
        paypal_id:
          type: string
        recipient_name:
          type: string
        transaction_date:
          type: string
          example: '2023-10-01T12:34:56Z'
        transaction_id:
          type: string
          example: txn_12345
        transaction_status:
          type: string
          enum:
            - processing
            - successful
            - failed
          description: Status of the transaction

````